#1987 closed defect (wontfix)

ARM BSPs without RTEMS_CPU_MODEL Set

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: thomas.doerfler@…, sebastian.huber@… Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

I was working on a script to prepare a master list of BSPs, CPU models supported, etc. The script located the following BSPs without RTEMS_CPU_MODEL set:

lm3s6965,arm,MANUAL_CHECK
lpc2362,arm,MANUAL_CHECK
lpc24xx_ncs_rom_ext,arm,MANUAL_CHECK
lpc23xx_tli800,arm,MANUAL_CHECK
lpc24xx_ncs_rom_int,arm,MANUAL_CHECK
lpc24xx_plx800_rom_int,arm,MANUAL_CHECK
lpc24xx_ea,arm,MANUAL_CHECK
lpc24xx_ncs_ram,arm,MANUAL_CHECK
lpc32xx_mzx_stage_1,arm,MANUAL_CHECK
lpc32xx_mzx_stage_2,arm,MANUAL_CHECK
lpc32xx_mzx,arm,MANUAL_CHECK
lpc32xx_phycore,arm,MANUAL_CHECK

I am importing this into a spreadsheet hence the CSV format. MANUAL_CHECK was my indication that the information was not located. I followed up by hand and most cases were issues in my script. These simply do not have the information.

Change History (5)

comment:1 Changed on Dec 9, 2011 at 3:51:55 PM by Joel Sherrill

Cc: Sebastian Huber added

comment:2 Changed on Dec 9, 2011 at 3:52:13 PM by Joel Sherrill

Cc: thomas.doerfler added

comment:3 Changed on Feb 6, 2012 at 1:49:40 PM by Joel Sherrill

Replying to comment:4:

Replying to comment:3:

It is as much about documentation as it is about satisfying the build system.

There is nothing to document since these BSPs don't use the RTEMS_CPU_MODEL and
the build system works well without it.

I am trying to capture a standard set of information on all BSPs.

Would you mind filling in rows 13 to 15 of this spreadsheet?

https://docs.google.com/spreadsheet/ccc?key=0AngKwYy0qUGZdEFsckVsNXJfS2ZRM2ppWGY0bTJKbHc&hl=en_US#gid=0

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:5 Changed on Dec 18, 2014 at 11:06:57 AM by Sebastian Huber

Description: modified (diff)
Resolution: wontfix
Status: newclosed
Note: See TracTickets for help on using tickets.